<?php
namespace Modules\Admin\Config\SupplierProducts\Fields;

class View_Options extends \App\Mvc\View_Window_PaginatedListing_OptionsAbstract
{
	/**
	 * (non-PHPdoc)
	 * @see \App\Mvc\View_Window_PaginatedListing_OptionsAbstract::populateDefinedOptions()
	 */
	public function populateDefinedOptions(\App\Mvc\View\Utils\RowOptions\Container\Simple $options)
	{
		$options
			// edit
			->append(\App\Mvc\View\Utils\RowOptions\Option\Popup::create("edit")
				->setDescription($this->lang['index']['options']['edit'])
				->setIcon('edit')
				->setAction('edit')
				->setDimensions(550, 450)
				->setKeyForCurrentRow('id')
			)
		;
	}

}
